コンテンツにスキップ

データカタログ GraphQL API

POST
/datacatalog/graphql
curl --request POST \
--url https://api.plateauview.mlit.go.jp/datacatalog/graphql \
--header 'Content-Type: application/json' \
--data '{ "query": "example", "variables": {} }'

GraphQLスキーマはPlaygroundで確認できます。

Media type application/json
object
query

GraphQL query or mutation

string
variables

Optional variables for the query

object
key
additional properties
any
Example generated
{
"query": "example",
"variables": {}
}

GraphQL response

Media type application/json
object
data

The response data

object
errors

The list of errors

Array<object>
object
locations
Array<object>
object
column

The column number

integer
line

The line number

integer
message

The error message

string
Example generated
{
"data": {},
"errors": [
{
"locations": [
{
"column": 1,
"line": 1
}
],
"message": "example"
}
]
}